Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.fields
Interface LongAccessor

All Superinterfaces:
  Field

All Known Implementing Classes:
  BinaryAsLongField, ExternalDecimalAsLongField, PackedDecimalAsLongField

    public interface LongAccessor

extends Field

An interface which describes a `Field` which has long accessors.

Method Summary
`long` | `getLong(byte[] buffer)` Answer a long from the given byte array buffer, at the offset of this field.
`long` | `getLong(byte[] buffer, int bufOffset)` Answer a long from the given byte array buffer, at the bufOffset + offset of this field.
`boolean` | `isSigned()` Answer whether the field is signed
`void` | `putLong(long value, byte[] buffer)` Put a long into the given byte array buffer, at the offset of this field.
`void` | `putLong(long value, byte[] buffer, int bufOffset)` Put a long into the given byte array buffer, at the bufOffset + offset of this field.

Methods inherited from interface com.ibm.jzos.fields.Field
`getByteLength, getOffset, setOffset`

Method Detail

### getLong

    long getLong(byte[] buffer)

  Answer a long from the given byte array buffer, at the offset of this field.

  Parameters:
    `buffer` - the byte array
  Returns:
    long

### getLong

    long getLong(byte[] buffer,
                 int bufOffset)

  Answer a long from the given byte array buffer, at the bufOffset + offset of this field.

  Parameters:
    `buffer` - the byte array
    `bufOffset` - the additional offset into the byte array
  Returns:
    long

### putLong

    void putLong(long value,
                 byte[] buffer)
                 throws java.lang.IllegalArgumentException

  Put a long into the given byte array buffer, at the offset of this field.

  Parameters:
    `value` - the signed long value
    `buffer` - the byte array
  Throws:
    `java.lang.IllegalArgumentException` - if the value is out of range

### putLong

    void putLong(long value,
                 byte[] buffer,
                 int bufOffset)
                 throws java.lang.IllegalArgumentException

  Put a long into the given byte array buffer, at the bufOffset + offset of this field.

  Parameters:
    `value` - the signed long value
    `buffer` - the byte array
    `bufOffset` - the additional offset into the byte array
  Throws:
    `java.lang.IllegalArgumentException` - if the value is out of range

### isSigned

    boolean isSigned()

  Answer whether the field is signed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD